Bug 888369

Summary: Time range setting on monitoring table should be more robust
Product: [Other] RHQ Project Reporter: Jirka Kremser <jkremser>
Component: Core UIAssignee: Jirka Kremser <jkremser>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: unspecified    
Version: 4.5CC: hrupp
Target Milestone: ---   
Target Release: RHQ 4.6   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-03 10:41:53 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jirka Kremser 2012-12-18 10:05:48 EST
Description of problem:
If the start time later than the end time, exception is thrown with reasonable message (for instance: "Start date 1418876100000 is not before 1355832903395")

If the format of the time is not valid in those Time Range - Start/Stop inputs, another exception is thrown (Exception caught: (TypeError)). 


Version-Release number of selected component (if applicable):
4.6.0-SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1. navigate to Inventory and select some platform
2. Under the Monitoring tab type following into the "Time Range - Start" and "Time Range - Stop" fields, lets call them x and y
3. a) x > y (for any times, i.e. start is after end)
   b) x = "foo"
  
Actual results:
a) javax.ejb.EJBTransactionRolledbackException:Start date 1387318500000 is not before 1355832903395

b) (TypeError) stack: com_smartgwt_client_widgets_form_fields_DateItem_$getValueAsDate

Expected results:
It should be handled on the client side without bothering the server with nonsense inputs.

Additional info:
Comment 1 Jirka Kremser 2012-12-21 10:58:33 EST
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=ea3d203dc

time:    Fri Dec 21 16:54:02 2012 +0100
commit:  ea3d203dcd9fd9bb110bb0f6dce6f1379e88bacb
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 888369 - Time range setting on monitoring table should be more robust] Adding form validators for the format of the times as well as for the start time < end time; if the end time is after the current server time, the end time is set to the current server time. This caused the NaNs in the table before. However, It is still not perfect, because the user with bad time settings will have prefilled values in the start/end time fields. The simple form ("last n hours") on the monitoring tab is working as it should.
Comment 2 Heiko W. Rupp 2013-09-03 10:41:53 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.